﻿
Imports Infragistics.Shared
Imports Infragistics.Win
Imports Infragistics.Win.UltraWinGrid



Public Class Form1

    Private MakeOrdersDataTable As DataTable


    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        'TODO: This line of code loads data into the 'TEST_DBDataSet.Book1' table. You can move, or remove it, as needed.
        UltraComboEditor1.DataSource = MakeCustomerDataTable()
        UltraComboEditor1.CheckedListSettings.CheckBoxStyle = Infragistics.Win.CheckStyle.CheckBox
        UltraComboEditor1.CheckedListSettings.CheckBoxAlignment = ContentAlignment.MiddleRight
        UltraComboEditor1.CheckedListSettings.EditorValueSource = Infragistics.Win.EditorWithComboValueSource.CheckedItems
        UltraComboEditor1.CheckedListSettings.ListSeparator = ", "
        UltraComboEditor1.CheckedListSettings.ItemCheckArea = Infragistics.Win.ItemCheckArea.CheckBox

    End Sub

    Private Sub UltraButton2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles UltraButton2.Click
        Dim dataSet As New DataSet()
        dataSet.Tables.Add(MakeCustomersDataTable)
        Me.UltraGrid1.DataSource = dataSet

    End Sub

    Private Function MakeCustomersDataTable() As DataTable
        ' Declare a DataTable to contain the program generated data
        Dim dataTable As New DataTable("Customers")

        Dim colWork As New DataColumn("CustomerID", GetType(Int32))
        dataTable.Columns.Add(colWork)

        ' Add CustomerID column to key array and bind to DataTable
        Dim Keys(0) As DataColumn
        Keys(0) = colWork
        dataTable.PrimaryKey = Keys

        ' Create and add a CustomerName column
        colWork = New DataColumn("CustomerName", GetType(Object))
        ' colWork.MaxLength = 50
        dataTable.Columns.Add(colWork)

        ' Create and add a LastOrderDate column
        colWork = New DataColumn("LastOrderDate", GetType(Date))
        dataTable.Columns.Add(colWork)

        ' Add a row
        Dim row As DataRow = dataTable.NewRow()
        row("CustomerID") = 1
        row("CustomerName") = "John"
        row("LastOrderDate") = Now
        dataTable.Rows.Add(row)

        ' Add another row
        row = dataTable.NewRow()
        row("CustomerID") = 2
        row("CustomerName") = "Fred"
        row("LastOrderDate") = Now.AddDays(-101)
        dataTable.Rows.Add(row)

        Return dataTable
    End Function

    Private Function MakeCustomerDataTable() As DataTable
        ' Declare a DataTable to contain the program generated data
        Dim dataTable As New DataTable("Customer")

        Dim colWork As New DataColumn("CustomerName", GetType(String))
        colWork.MaxLength = 50
        dataTable.Columns.Add(colWork)
        Dim row As DataRow = dataTable.NewRow()

        row("CustomerName") = "John"

        dataTable.Rows.Add(row)

        row = dataTable.NewRow()

        row("CustomerName") = "Fred"

        dataTable.Rows.Add(row)

        Return dataTable
    End Function

    Private Sub UltraGrid1_InitializeLayout(ByVal sender As System.Object, ByVal e As Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs) Handles UltraGrid1.InitializeLayout

        e.Layout.Bands(0).Columns("CustomerName").EditorComponent = UltraComboEditor1
        e.Layout.Bands(0).Columns("CustomerName").Style = UltraWinGrid.ColumnStyle.DropDownList
        e.Layout.Bands(0).Columns("CustomerName").CellActivation = Activation.AllowEdit

    End Sub
End Class
